<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.3.6.1.4.1.19376.1.5.3.1.3.1.2
Name: CCDA2 Reason for Referral Section
Description: This section contains the reason(s) for a patient’s referral by a provider to a consulting provider. 
                An optional Chief Complaint section may capture the patient’s description of the reason for the consultation.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.3.6.1.4.1.19376.1.5.3.1.3.1.2-2013-09-01T000000">
   <title>CCDA2 Reason for Referral Section</title>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.3.1.2
Context: *[hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1.2']]
Item: (ccda2-ReasonforReferralSection)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.3.1.2
Context: *[hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1.2']]/hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1.2']]
Item: (ccda2-ReasonforReferralSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1.2']]/hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1.2']]"
         id="tmp-r-def25c44-fdc3-449f-acba-09dc77cf78a0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141012T124818/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1.2-2013-09-01T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1.2'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1.2']/@nullFlavor)">(ccda2-ReasonforReferralSection): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141012T124818/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1.2-2013-09-01T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1.2'])&lt;=1">(ccda2-ReasonforReferralSection): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141012T124818/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1.2-2013-09-01T000000.html"
              test="count(hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(ccda2-ReasonforReferralSection): element hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141012T124818/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1.2-2013-09-01T000000.html"
              test="count(hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(ccda2-ReasonforReferralSection): element hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141012T124818/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1.2-2013-09-01T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(ccda2-ReasonforReferralSection): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141012T124818/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1.2-2013-09-01T000000.html"
              test="count(hl7:title)&lt;=1">(ccda2-ReasonforReferralSection): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141012T124818/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1.2-2013-09-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(ccda2-ReasonforReferralSection): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141012T124818/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1.2-2013-09-01T000000.html"
              test="count(hl7:text)&lt;=1">(ccda2-ReasonforReferralSection): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.3.1.2
Context: *[hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1.2']]/hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1.2']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1.2']
Item: (ccda2-ReasonforReferralSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1.2']]/hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1.2']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1.2']"
         id="tmp-r-4a05f829-ff1c-4b80-950c-558cea8ef7ff">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141012T124818/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1.2-2013-09-01T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.5.3.1.3.1.2'">(ccda2-ReasonforReferralSection): de waarde van @root MOET '1.3.6.1.4.1.19376.1.5.3.1.3.1.2' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.3.1.2
Context: *[hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1.2']]/hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1.2']]/hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (ccda2-ReasonforReferralSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1.2']]/hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1.2']]/hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-a6f4be9b-0617-4b75-af28-618a2732e2fb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141012T124818/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1.2-2013-09-01T000000.html"
              test="@nullFlavor or (@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')">(ccda2-ReasonforReferralSection): de elementwaarde MOET zijn code '42349-1' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.3.1.2
Context: *[hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1.2']]/hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1.2']]/hl7:title
Item: (ccda2-ReasonforReferralSection)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.3.1.2
Context: *[hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1.2']]/hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1.2']]/hl7:text
Item: (ccda2-ReasonforReferralSection)
-->


   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.3.1.2
Context: *[hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1.2']]/hl7:section[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1.2']]/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]]
Item: (ccda2-ReasonforReferralSection)
--></pattern>
